Bug 230505 - graphics/gexiv2: Update to 0.10.8
Summary: graphics/gexiv2: Update to 0.10.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Christoph Moench-Tegeder
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-10 14:39 UTC by Ting-Wei Lan
Modified: 2018-08-29 21:24 UTC (History)
1 user (show)

See Also:
cmt: maintainer-feedback+


Attachments
Patch to update gexiv2 to 0.10.8 (1.40 KB, patch)
2018-08-10 14:39 UTC, Ting-Wei Lan
no flags Details | Diff
fix-gnome-photos-crashing (1.53 KB, patch)
2018-08-28 23:26 UTC, Carlos J. Puga Medina
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ting-Wei Lan 2018-08-10 14:39:24 UTC
Created attachment 196059 [details]
Patch to update gexiv2 to 0.10.8

0.10.8 is the latest stable release and it is required to compile gnome-photos from upstream git since https://gitlab.gnome.org/GNOME/gnome-photos/commit/82bfc1176e534e0240265f387889dce10155cfb1. Can we get it updated?
Comment 1 commit-hook freebsd_committer 2018-08-13 21:20:26 UTC
A commit references this bug:

Author: cmt
Date: Mon Aug 13 21:20:19 UTC 2018
New revision: 477117
URL: https://svnweb.freebsd.org/changeset/ports/477117

Log:
  graphics/gexiv2: update to 0.10.8

  while here, simplify MASTER_SITES as suggested by portlint

  PR:		230505
  Submitted by:	Ting-Wei Lan

Changes:
  head/graphics/gexiv2/Makefile
  head/graphics/gexiv2/distinfo
  head/graphics/gexiv2/pkg-plist
Comment 2 Christoph Moench-Tegeder freebsd_committer 2018-08-13 21:21:38 UTC
committed ports r477117 - thanks a lot.
Comment 3 Carlos J. Puga Medina freebsd_committer 2018-08-22 15:05:46 UTC
(In reply to Ting-Wei Lan from comment #0)

gexiv2 update to 0.10.8 causes gnome-photos-3.24.2 crashes during startup.
Comment 4 Christoph Moench-Tegeder freebsd_committer 2018-08-28 20:58:54 UTC
(In reply to Carlos J. Puga Medina from comment #3)
Drads. As far as I can tell, the crash location is in libexif. And nothing in the call path to the crash has any obvious changes. Any ideas?
Comment 5 Carlos J. Puga Medina freebsd_committer 2018-08-28 21:07:19 UTC
(In reply to Christoph Moench-Tegeder from comment #4)

Hi Christoph

No problem I reverted the gexiv2 update to use gnome-photos. I'll try to fix the crash.
Comment 6 Carlos J. Puga Medina freebsd_committer 2018-08-28 23:26:23 UTC
Created attachment 196658 [details]
fix-gnome-photos-crashing

Attached patch to don't use --version-script avoid gnome-photos crashing.
Comment 7 Christoph Moench-Tegeder freebsd_committer 2018-08-29 09:58:07 UTC
(In reply to Carlos J. Puga Medina from comment #6)
fascinating. and why does gnomoe-photos crash when we have a version script here?

Anyways, committed, thanks a lot.
Comment 8 commit-hook freebsd_committer 2018-08-29 09:58:23 UTC
A commit references this bug:

Author: cmt
Date: Wed Aug 29 09:57:31 UTC 2018
New revision: 478347
URL: https://svnweb.freebsd.org/changeset/ports/478347

Log:
  graphics/gexiv2: avoid crash in gnome-photos

  if gexiv2 is build using "--version-script", gnome-photos crashes in
  libexiv2. without "--version-script", everything seems to be fine.

  PR:		230505
  Submitted by:	cpm
  Reported by:	cpm

Changes:
  head/graphics/gexiv2/Makefile
  head/graphics/gexiv2/files/
  head/graphics/gexiv2/files/patch-Makefile.in
Comment 9 Carlos J. Puga Medina freebsd_committer 2018-08-29 11:03:48 UTC
(In reply to Christoph Moench-Tegeder from comment #7)

It is a known bug:

https://gitlab.gnome.org/GNOME/gexiv2/issues/27
Comment 10 Christoph Moench-Tegeder freebsd_committer 2018-08-29 21:16:09 UTC
(In reply to Carlos J. Puga Medina from comment #9)
With that title it's not easy to find... and it doesn't really explain why it breaks (compiler thrashes symbol wrangling?  which compiler? llvm only? versions?). But as long as it works...
Comment 11 Carlos J. Puga Medina freebsd_committer 2018-08-29 21:24:56 UTC
(In reply to Christoph Moench-Tegeder from comment #10)

I didn't try to build gexiv2 with GCC but we know that LLVM triggers the bug.

Let's see if the bug is fixed upstream.